Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.oci
Class Clob

    java.lang.Object
      |
      +--weblogic.jdbc.oci.Clob

public final class Clob
extends java.lang.Object
implements java.sql.Clob, weblogic.jdbc.common.OracleLobCloser, weblogic.jdbc.common.OracleClob

Version:
  2.0
Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Resrved.

Constructor Summary
`Clob(weblogic.db.oci.OciCursor cur, int pos, java.lang.String codeset, weblogic.db.oci.OciValue value, Connection con)`

Method Summary
`void` | `close()`
`void` | `closeLob()`
`java.io.OutputStream` | `getAsciiOutputStream()` WebLogic extension to return an OutputStream for writing single byte ASCII characters to this CLOB
`java.io.InputStream` | `getAsciiStream()`
`java.io.Writer` | `getCharacterOutputStream()` WebLogic extension to return an OutputStream for writing possibly multibyte characters to this CLOB
`java.io.Reader` | `getCharacterStream()`
`protected weblogic.db.oci.OciLob` | `getOciLob()` OCI 8.1.5 or greater only public long getChunkSize() { return ((OciLob)val.valobj).getLobChunkSize(cur); }
`java.lang.String` | `getSubString(long position, int length)`
`long` | `length()`
`long` | `position(java.sql.Clob pattern, long start)`
`long` | `position(java.lang.String pattern, long start)`
`java.io.OutputStream` | `setAsciiStream(long a)`
`java.io.Writer` | `setCharacterStream(long a)`
`int` | `setString(long a, java.lang.String b)`
`int` | `setString(long a, java.lang.String b, int c, int d)`
`void` | `truncate(long a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Clob

    public Clob(weblogic.db.oci.OciCursor cur,
                int pos,
                java.lang.String codeset,
                weblogic.db.oci.OciValue value,
                Connection con)
         throws java.sql.SQLException

Method Detail

### getAsciiStream

    public java.io.InputStream getAsciiStream()
                                       throws java.sql.SQLException

  Specified by:
    getAsciiStream in interface java.sql.Clob

### getCharacterStream

    public java.io.Reader getCharacterStream()
                                      throws java.sql.SQLException

  Specified by:
    getCharacterStream in interface java.sql.Clob

### getSubString

    public java.lang.String getSubString(long position,
                                         int length)
                                  throws java.sql.SQLException

  Specified by:
    getSubString in interface java.sql.Clob

### length

    public long length()
                throws java.sql.SQLException

  Specified by:
    length in interface java.sql.Clob

### position

    public long position(java.sql.Clob pattern,
                         long start)
                  throws java.sql.SQLException

  Specified by:
    position in interface java.sql.Clob

### position

    public long position(java.lang.String pattern,
                         long start)
                  throws java.sql.SQLException

  Specified by:
    position in interface java.sql.Clob

### getAsciiOutputStream

    public java.io.OutputStream getAsciiOutputStream()
                                              throws java.sql.SQLException

  WebLogic extension to return an OutputStream for writing single byte ASCII characters to this CLOB
  Specified by:
    getAsciiOutputStream in interface weblogic.jdbc.common.OracleClob

### getCharacterOutputStream

    public java.io.Writer getCharacterOutputStream()
                                            throws java.sql.SQLException

  WebLogic extension to return an OutputStream for writing possibly multibyte characters to this CLOB
  Specified by:
    getCharacterOutputStream in interface weblogic.jdbc.common.OracleClob

### getOciLob

    protected weblogic.db.oci.OciLob getOciLob()

  OCI 8.1.5 or greater only public long getChunkSize() { return ((OciLob)val.valobj).getLobChunkSize(cur); }

### closeLob

    public void closeLob()

  Specified by:
    closeLob in interface weblogic.jdbc.common.OracleLobCloser

### close

    public void close()

### setCharacterStream

    public java.io.Writer setCharacterStream(long a)
                                      throws java.sql.SQLException

### setString

    public int setString(long a,
                         java.lang.String b)
                  throws java.sql.SQLException

### setString

    public int setString(long a,
                         java.lang.String b,
                         int c,
                         int d)
                  throws java.sql.SQLException

### truncate

    public void truncate(long a)
                  throws java.sql.SQLException

### setAsciiStream

    public java.io.OutputStream setAsciiStream(long a)
                                        throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference